mroongaのインストールに失敗する

TOP Forums インストール(Installing KUSANAGI) mroongaのインストールに失敗する

mroongaのインストールに失敗する

Viewing 1 reply thread
  • Author
    Posts
    • #390
      akbny
      Participant

        お世話になります。
        kusanagi init コマンドで初回セットアップをしている最中にエラーが発生しmroongaがインストールできませんでした。

        
        Resolving Dependencies
        --> Running transaction check
        ---> Package groonga-tokenizer-mecab.x86_64 0:8.0.2-1.el7.centos will be installed
        --> Processing Dependency: groonga-libs = 8.0.2-1.el7.centos for package: groonga-tokenizer-mecab-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: mecab-dic for package: groonga-tokenizer-mecab-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: libmecab.so.2()(64bit) for package: groonga-tokenizer-mecab-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: libgroonga.so.0()(64bit) for package: groonga-tokenizer-mecab-8.0.2-1.el7.centos.x86_64
        ---> Package mariadb-10.1-mroonga.x86_64 0:8.02-1.el7.centos will be installed
        --> Processing Dependency: MariaDB-client = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        --> Processing Dependency: MariaDB-server = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        --> Processing Dependency: groonga-normalizer-mysql for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        --> Running transaction check
        ---> Package groonga-libs.x86_64 0:8.0.2-1.el7.centos will be installed
        --> Processing Dependency: libzstd for package: groonga-libs-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: msgpack for package: groonga-libs-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: libmsgpackc.so.2()(64bit) for package: groonga-libs-8.0.2-1.el7.centos.x86_64
        --> Processing Dependency: libzstd.so.1()(64bit) for package: groonga-libs-8.0.2-1.el7.centos.x86_64
        ---> Package groonga-normalizer-mysql.x86_64 0:1.1.1-1.el7.centos will be installed
        ---> Package mariadb-10.1-mroonga.x86_64 0:8.02-1.el7.centos will be installed
        --> Processing Dependency: MariaDB-client = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        --> Processing Dependency: MariaDB-server = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        ---> Package mecab.x86_64 0:0.996-1.el7.centos.6 will be installed
        ---> Package mecab-ipadic.x86_64 0:2.7.0.20070801-13.el7.centos.1 will be installed
        --> Running transaction check
        ---> Package libzstd.x86_64 0:1.3.4-1.el7 will be installed
        ---> Package mariadb-10.1-mroonga.x86_64 0:8.02-1.el7.centos will be installed
        --> Processing Dependency: MariaDB-client = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        --> Processing Dependency: MariaDB-server = 10.1.32-1.el7.centos for package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64
        ---> Package msgpack.x86_64 0:1.4.1-1.el7 will be installed
        --> Finished Dependency Resolution
        Error: Package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64 (groonga)
                   Requires: MariaDB-server = 10.1.32-1.el7.centos
                   Installed: MariaDB-server-10.1.33-1.el7.centos.x86_64 (@mariadb)
                       MariaDB-server = 10.1.33-1.el7.centos
                   Available: MariaDB-server-10.1.31-1.el7.centos.x86_64 (mariadb)
                       MariaDB-server = 10.1.31-1.el7.centos
                   Available: MariaDB-server-10.1.32-1.el7.centos.x86_64 (mariadb)
                       MariaDB-server = 10.1.32-1.el7.centos
        Error: Package: mariadb-10.1-mroonga-8.02-1.el7.centos.x86_64 (groonga)
                   Requires: MariaDB-client = 10.1.32-1.el7.centos
                   Installed: MariaDB-client-10.1.33-1.el7.centos.x86_64 (@mariadb)
                       MariaDB-client = 10.1.33-1.el7.centos
                   Available: MariaDB-client-10.1.31-1.el7.centos.x86_64 (mariadb)
                       MariaDB-client = 10.1.31-1.el7.centos
                   Available: MariaDB-client-10.1.32-1.el7.centos.x86_64 (mariadb)
                       MariaDB-client = 10.1.32-1.el7.centos
         You could try using --skip-broken to work around the problem
         You could try running: rpm -Va --nofiles --nodigest
        

        5/9日にMariaDBのバージョンが10.1.33に上がりましたが
        mroongaが対応しているMariaDBのバージョンが10.1.32までであるために、インストールに失敗しているようです。

        2018年02月07日にバグ報告と提案フォーラムに投稿された
        “yum updateでの依存性の問題について” に書かれているものと同じ不具合でしょうか?

        • This topic was modified 6 years ago by akbny.
      • #436
        tomotomo
        Participant

          同じく、さくらVPSで使った際にMroongaインストールが失敗したのでエラーメッセージ貼っておきます。

          KUSANAGI Version 8.4.0-3

          
          Do you want to install Mroonga ?: [y/N]y
          /usr/lib/kusanagi/lib/functions.sh: 行 827: install_mroonga: コマンドが見つかりません
          Mroonga installation has failed.
          Removed symlink /etc/systemd/system/multi-user.target.wants/mariadb.service.
          Removed symlink /etc/systemd/system/mysql.service.
          Removed symlink /etc/systemd/system/mysqld.service.
          innodb_buffer_pool_size = 128M
          query_cache_size = 64M
          Created symlink from /etc/systemd/system/mysql.service to /usr/lib/systemd/system/mariadb.service.
          Created symlink from /etc/systemd/system/mysqld.service to /usr/lib/systemd/system/mariadb.service.
          Created symlink from /etc/systemd/system/multi-user.target.wants/mariadb.service to /usr/lib/systemd/system/mariadb.service.
          Restarted the MariaDB.
          monitはすでに起動されています。何もしません
          
          KUSANAGIの初期設定を完了しました。
          完了しました。
          新しいメールが /var/spool/mail/root にあります
          
          • This reply was modified 5 years, 8 months ago by tomotomo.
      Viewing 1 reply thread
      • You must be logged in to reply to this topic.

      Next article

      フォーラムについて